当前位置: 首页 > Linux > 正文

关于redhat(红帽)linux系统不能使用yum的解决办法

RHEL的YUM源需要注册用户才能更新使用,由于CentOS和RHEL基本没有区别,并且CentOS已经被REHL收购。所以将RHEL的YUM源替换为CentOS即可。

问题如下:

[root@bogon ~]# yum repolist

Loaded plugins: product-id, refresh-packagekit, security, subscription-manager

This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.

repolist: 0

或者# yum install ntp

Loaded plugins: product-id, refresh-packagekit, security, subscription-manager

This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.

Setting up Install Process

Nothing to do

意思就是你需要注册红帽的账号才可以使用yum命令!

解决方法:

1.清除原有RHEL的YUM及相关软件包。

rpm -qa | grep yum | xargs rpm -e --nodeps

rpm -qa |grep python-urlgrabber|xargs rpm -e --nodeps

2.下载centos6的相关软件包。

wget http://mirrors.163.com/centos/6/os/x86_64/Packages/yum-3.2.29-73.el6.centos.noarch.rpm

wget http://mirrors.163.com/centos/6/os/x86_64/Packages/yum-metadata-parser-1.1.2-16.el6.x86_64.rpm

wget http://mirrors.163.com/centos/6/os/x86_64/Packages/yum-plugin-fastestmirror-1.1.30-37.el6.noarch.rpm

wget http://mirrors.163.com/centos/6/os/x86_64/Packages/python-iniparse-0.3.1-2.1.el6.noarch.rpm

wget http://mirrors.163.com/centos/6/os/x86_64/Packages/python-urlgrabber-3.9.1-11.el6.noarch.rpm

*注释:这些软件包的具体的版本,请到http://mirrors.163.com/centos/6/os/x86_64/Packages/ 目录下,选择下载上述软件包。网上很多文章没法直接使用就是因为软件包的版本问题。

3.安装软件包。

rpm -ivh python-iniparse-0.3.1-2.1.el6.noarch.rpm

rpm -ivh python-urlgrabber-3.9.1-11.el6.noarch.rpm

rpm -ivh yum-metadata-parser-1.1.2-16.el6.x86_64.rpm

rpm -ivh yum-plugin-fastestmirror-1.1.30-37.el6.noarch.rpm yum-3.2.29-73.el6.centos.noarch.rpm

*注释yum-plugin-fastestmirror和yum-3.2.29要一起安装。

如果按照遇到问题:发现错误,python-urlgrabber版本必须大于等于3.9.1-10

# rpm -ivh  yum-3.2.29-73.el6.centos.noarch.rpm yum-plugin-fastestmirror-1.1.30-37.el6.noarch.rpm

warning: yum-3.2.29-73.el6.centos.noarch.rpm: Header V3 RSA/SHA1 Signature, key ID c105b9de: NOKEY

error: Failed dependencies:

python-urlgrabber >= 3.9.1-10 is needed by yum-3.2.29-73.el6.centos.noarch

查看系统的python信息

# rpm -qa|grep python

发现python-urlgrabber-3.9.1-9.el6.noarch 版本低于3.9.1-10

卸载:python-urlgrabber-3.9.1-9.el6.noarch

rpm -e python-urlgrabber-3.9.1-9.el6.noarch

安装:rpm -ivh python-urlgrabber-3.9.1-11.el6.noarch.rpm

安装yum

# rpm -ivh yum-*

更改yum源

cd /etc/yum.repos.d/

下载配置文件

wget http://mirrors.163.com/.help/CentOS6-Base-163.repo

将此配置文件替换/etc/yum.repos.d同名文件

把releasever替换成现有系统的版本号(6)

vim替换命令

:%s/$releasever/6/g

退出保存

清理yum缓存

#yum clean all

将服务器软件包信息缓存至本地,提高搜索安装效率

#yum makecache

测试

#yum seach vim

执行yum repolist查看,如果显示出repo仓库列表,并显示软件包数量则OK。(或者使用yum makecache)

本文固定链接: https://www.ziyouwu.com/archives/1269.html | 自由屋博客www.ziyouwu.com|wordpress建站技巧分享


关键字: , , , ,

关于redhat(红帽)linux系统不能使用yum的解决办法:目前有1 条留言

  1. 沙发
    linux系统不能使用yum

    linux系统不能使用yum的解决办法

    2017-03-03 下午7:40 四川省乐山市 电信 [回复]

发表评论

6 + 2 = ?


快捷键:Ctrl+Enter